From: Wenlong Bai <[email-masked]>
Date: Tue, 22 Feb 94 18:07:07 CST

Good news for LADs in Houston area

Any body with priority date of July 1, 1993 should expect GC for his/her LAD
in near future. My wife got her temporary PR on her passport today in Houston
INS. We were told that her real PR is already in manufacturing. However, the 
valid time for her temporary PR is until 21 in August. You could wait for 
several months for the real card. My PR was approved last Sept.(priority date
is July 1) and I have not received my card yet. Anyway, I hope I announced
good news for the people who are interested in LAD issue.